Plesk\backup\Agent\Schema\Backup\VdirType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        path:
            expose: true
            access_type: public_method
            serialized_name: path
            accessor:
                getter: getPath
                setter: setPath
            xml_attribute: true
            type: string
        accessRead:
            expose: true
            access_type: public_method
            serialized_name: accessRead
            accessor:
                getter: getAccessRead
                setter: setAccessRead
            xml_attribute: true
            type: string
        accessWrite:
            expose: true
            access_type: public_method
            serialized_name: accessWrite
            accessor:
                getter: getAccessWrite
                setter: setAccessWrite
            xml_attribute: true
            type: string
        accessScript:
            expose: true
            access_type: public_method
            serialized_name: accessScript
            accessor:
                getter: getAccessScript
                setter: setAccessScript
            xml_attribute: true
            type: string
        accessExecute:
            expose: true
            access_type: public_method
            serialized_name: accessExecute
            accessor:
                getter: getAccessExecute
                setter: setAccessExecute
            xml_attribute: true
            type: string
        accessSource:
            expose: true
            access_type: public_method
            serialized_name: accessSource
            accessor:
                getter: getAccessSource
                setter: setAccessSource
            xml_attribute: true
            type: string
        enableDirBrowsing:
            expose: true
            access_type: public_method
            serialized_name: enableDirBrowsing
            accessor:
                getter: getEnableDirBrowsing
                setter: setEnableDirBrowsing
            xml_attribute: true
            type: string
        dontLog:
            expose: true
            access_type: public_method
            serialized_name: dontLog
            accessor:
                getter: getDontLog
                setter: setDontLog
            xml_attribute: true
            type: string
        appCreate:
            expose: true
            access_type: public_method
            serialized_name: appCreate
            accessor:
                getter: getAppCreate
                setter: setAppCreate
            xml_attribute: true
            type: string
        enableDefaultDoc:
            expose: true
            access_type: public_method
            serialized_name: enableDefaultDoc
            accessor:
                getter: getEnableDefaultDoc
                setter: setEnableDefaultDoc
            xml_attribute: true
            type: string
        defaultDoc:
            expose: true
            access_type: public_method
            serialized_name: defaultDoc
            accessor:
                getter: getDefaultDoc
                setter: setDefaultDoc
            xml_attribute: true
            type: string
        aspEnableParentPaths:
            expose: true
            access_type: public_method
            serialized_name: aspEnableParentPaths
            accessor:
                getter: getAspEnableParentPaths
                setter: setAspEnableParentPaths
            xml_attribute: true
            type: string
        aspExecuteInMTA:
            expose: true
            access_type: public_method
            serialized_name: aspExecuteInMTA
            accessor:
                getter: getAspExecuteInMTA
                setter: setAspExecuteInMTA
            xml_attribute: true
            type: string
        authAnonymous:
            expose: true
            access_type: public_method
            serialized_name: authAnonymous
            accessor:
                getter: getAuthAnonymous
                setter: setAuthAnonymous
            xml_attribute: true
            type: string
        authNTLM:
            expose: true
            access_type: public_method
            serialized_name: authNTLM
            accessor:
                getter: getAuthNTLM
                setter: setAuthNTLM
            xml_attribute: true
            type: string
        requireSSL:
            expose: true
            access_type: public_method
            serialized_name: requireSSL
            accessor:
                getter: getRequireSSL
                setter: setRequireSSL
            xml_attribute: true
            type: string
        scriptMaps:
            expose: true
            access_type: public_method
            serialized_name: scriptMaps
            accessor:
                getter: getScriptMaps
                setter: setScriptMaps
            xml_attribute: true
            type: string
        editable:
            expose: true
            access_type: public_method
            serialized_name: editable
            accessor:
                getter: getEditable
                setter: setEditable
            xml_attribute: true
            type: string
        aspMaxRequestEntityAllowed:
            expose: true
            access_type: public_method
            serialized_name: aspMaxRequestEntityAllowed
            accessor:
                getter: getAspMaxRequestEntityAllowed
                setter: setAspMaxRequestEntityAllowed
            xml_attribute: true
            type: int
        aspMaxRequestEntityAllowedDefault:
            expose: true
            access_type: public_method
            serialized_name: aspMaxRequestEntityAllowedDefault
            accessor:
                getter: getAspMaxRequestEntityAllowedDefault
                setter: setAspMaxRequestEntityAllowedDefault
            xml_attribute: true
            type: int
        aspMaxRequestEntityAllowedInherited:
            expose: true
            access_type: public_method
            serialized_name: aspMaxRequestEntityAllowedInherited
            accessor:
                getter: getAspMaxRequestEntityAllowedInherited
                setter: setAspMaxRequestEntityAllowedInherited
            xml_attribute: true
            type: string
        aspBufferingLimit:
            expose: true
            access_type: public_method
            serialized_name: aspBufferingLimit
            accessor:
                getter: getAspBufferingLimit
                setter: setAspBufferingLimit
            xml_attribute: true
            type: int
        aspBufferingLimitDefault:
            expose: true
            access_type: public_method
            serialized_name: aspBufferingLimitDefault
            accessor:
                getter: getAspBufferingLimitDefault
                setter: setAspBufferingLimitDefault
            xml_attribute: true
            type: int
        aspBufferingLimitInherited:
            expose: true
            access_type: public_method
            serialized_name: aspBufferingLimitInherited
            accessor:
                getter: getAspBufferingLimitInherited
                setter: setAspBufferingLimitInherited
            xml_attribute: true
            type: string
        aspEnableServerDebug:
            expose: true
            access_type: public_method
            serialized_name: aspEnableServerDebug
            accessor:
                getter: getAspEnableServerDebug
                setter: setAspEnableServerDebug
            xml_attribute: true
            type: string
        aspEnableServerDebugDefault:
            expose: true
            access_type: public_method
            serialized_name: aspEnableServerDebugDefault
            accessor:
                getter: getAspEnableServerDebugDefault
                setter: setAspEnableServerDebugDefault
            xml_attribute: true
            type: string
        aspEnableServerDebugInherited:
            expose: true
            access_type: public_method
            serialized_name: aspEnableServerDebugInherited
            accessor:
                getter: getAspEnableServerDebugInherited
                setter: setAspEnableServerDebugInherited
            xml_attribute: true
            type: string
        aspEnableClientDebug:
            expose: true
            access_type: public_method
            serialized_name: aspEnableClientDebug
            accessor:
                getter: getAspEnableClientDebug
                setter: setAspEnableClientDebug
            xml_attribute: true
            type: string
        aspEnableClientDebugDefault:
            expose: true
            access_type: public_method
            serialized_name: aspEnableClientDebugDefault
            accessor:
                getter: getAspEnableClientDebugDefault
                setter: setAspEnableClientDebugDefault
            xml_attribute: true
            type: string
        aspEnableClientDebugInherited:
            expose: true
            access_type: public_method
            serialized_name: aspEnableClientDebugInherited
            accessor:
                getter: getAspEnableClientDebugInherited
                setter: setAspEnableClientDebugInherited
            xml_attribute: true
            type: string
        phpHandlerId:
            expose: true
            access_type: public_method
            serialized_name: phpHandlerId
            accessor:
                getter: getPhpHandlerId
                setter: setPhpHandlerId
            xml_attribute: true
            type: string
        phpHandlerType:
            expose: true
            access_type: public_method
            serialized_name: phpHandlerType
            accessor:
                getter: getPhpHandlerType
                setter: setPhpHandlerType
            xml_attribute: true
            type: string
        phpVersion:
            expose: true
            access_type: public_method
            serialized_name: phpVersion
            accessor:
                getter: getPhpVersion
                setter: setPhpVersion
            xml_attribute: true
            type: string
        caching:
            expose: true
            access_type: public_method
            serialized_name: caching
            xml_element:
                cdata: false
            accessor:
                getter: getCaching
                setter: setCaching
            type: Plesk\backup\Agent\Schema\Backup\VdirType\CachingAType
        vdirs:
            expose: true
            access_type: public_method
            serialized_name: vdirs
            xml_element:
                cdata: false
            accessor:
                getter: getVdirs
                setter: setVdirs
            type: array<Plesk\backup\Agent\Schema\Backup\Vdir>
            xml_list:
                inline: false
                entry_name: vdir
                skip_when_empty: true
